/*

Volcano (abans "Rise of the Bal1")
Programat i dissenyat per
	Sergio Valor @JailDesigner
Editor, música i suport técnic per
	Raimon Zamora @JailDoc
Gràfics per
	Diego Valor @JailBrother
Començat un 19 de febrer de 2016
Repres un 14 de febrer de 2021

*/

#include <SDL2/SDL.h>
#include <time.h>
#include <stdio.h>
#include "prog.h"

int main(int argc, char *args[])
{
	printf("Booting up the game...\n");

	// Inicia el generador de numeros aleatorios
	srand(time(nullptr));

	// Crea el objeto director
	Prog *prog = new Prog(args[0]);

	// Bucle principal
	prog->run();

	// Libera todos los recursos y cierra SDL
	delete prog;
	printf("Shutting down the game...\n");

	return 0;
}
